using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace WebMIS.Net.Demo
{
	public class frmDemo_Receipt : JXC_MIS.UserTier.BaseForm.frmReceiptBase
	{
		#region 设计器生成的代码

		private System.ComponentModel.IContainer components = null;

		public frmDemo_Receipt()
		{
			// 该调用是 Windows 窗体设计器所必需的。
			InitializeComponent();

			// TODO: 在 InitializeComponent 调用后添加任何初始化
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.pnl_Back.SuspendLayout();
			this.SuspendLayout();
			// 
			// TxtTemp
			// 
			this.TxtTemp.Name = "TxtTemp";
			// 
			// sbr_statusBar
			// 
			this.sbr_statusBar.Name = "sbr_statusBar";
			this.sbr_statusBar.Size = new System.Drawing.Size(672, 26);
			// 
			// tbr_Toolbar
			// 
			this.tbr_Toolbar.Name = "tbr_Toolbar";
			this.tbr_Toolbar.Size = new System.Drawing.Size(672, 42);
			// 
			// CboReceiptNo
			// 
			this.CboReceiptNo.Name = "CboReceiptNo";
			this.CboReceiptNo.Size = new System.Drawing.Size(150, 20);
			// 
			// cbo_Year
			// 
			this.cbo_Year.Name = "cbo_Year";
			this.cbo_Year.Size = new System.Drawing.Size(56, 20);
			// 
			// cbo_Month
			// 
			this.cbo_Month.Name = "cbo_Month";
			this.cbo_Month.Size = new System.Drawing.Size(44, 20);
			// 
			// grd_Detail
			// 
			this.grd_Detail.Name = "grd_Detail";
			// 
			// grd_Footer
			// 
			this.grd_Footer.Name = "grd_Footer";
			// 
			// grd_Other
			// 
			this.grd_Other.Name = "grd_Other";
			// 
			// btnDown
			// 
			this.btnDown.Name = "btnDown";
			// 
			// grd_Header
			// 
			this.grd_Header.Name = "grd_Header";
			// 
			// grd_Bottom
			// 
			this.grd_Bottom.Name = "grd_Bottom";
			// 
			// grd_Top
			// 
			this.grd_Top.Name = "grd_Top";
			// 
			// pnl_Back
			// 
			this.pnl_Back.Name = "pnl_Back";
			this.pnl_Back.Size = new System.Drawing.Size(672, 42);
			// 
			// frmDemo_Receipt
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(600, 313);
			this.Name = "frmDemo_Receipt";
			this.Load += new System.EventHandler(this.frmDemo_Receipt_Load);
			this.pnl_Back.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		//作者：长江支流、流金岁月 更新：www.webmis.net.cn/www.webmis.com.cn
		private void frmDemo_Receipt_Load(object sender, System.EventArgs e)
		{
			//这个窗口完全可以不用，如果用了（当然还可以写其它逻辑），最简单就是只要设置下面一句，指定单据的配置信息。
			this.ReceiptName="单据示例开发";
			this.InitInterface();
			//WebMIS.Net会根据它去加载它的配置，您只需要用WebMIS.Net快速开发平台进行菜单关联本窗口、并在业务窗口属性设置中配置单据就OK了。

			/*
			 * 默认情况下，WebMIS.Net快速开发平台为您指定了一个在明细中选择产品的窗口。
			 * 如果你想用自己的特色窗口，只需要实现IRefertoForm接口。
			 * 大家把下面的注释去掉运行与不去掉运行试试，分另在单据中单击项目一列单元格，会出现一个参照图标，单击试试...
			 */
			/*
			JXC_MIS.UserTier.RefertoInput.frmGridRefertoSelect referto = new JXC_MIS.UserTier.RefertoInput.frmGridRefertoSelect();
			//referto.DataSourceKey = "ItemID";	//如果指定主键，则可以把已选择的产品删除
			this.IRefertoForm = referto;		
			*/
		}
	}
}

